import { createAggregatedClient } from "@smithy/smithy-client";
import { AssociateDelegateToResourceCommand, } from "./commands/AssociateDelegateToResourceCommand";
import { AssociateMemberToGroupCommand, } from "./commands/AssociateMemberToGroupCommand";
import { AssumeImpersonationRoleCommand, } from "./commands/AssumeImpersonationRoleCommand";
import { CancelMailboxExportJobCommand, } from "./commands/CancelMailboxExportJobCommand";
import { CreateAliasCommand } from "./commands/CreateAliasCommand";
import { CreateAvailabilityConfigurationCommand, } from "./commands/CreateAvailabilityConfigurationCommand";
import { CreateGroupCommand } from "./commands/CreateGroupCommand";
import { CreateImpersonationRoleCommand, } from "./commands/CreateImpersonationRoleCommand";
import { CreateMobileDeviceAccessRuleCommand, } from "./commands/CreateMobileDeviceAccessRuleCommand";
import { CreateOrganizationCommand, } from "./commands/CreateOrganizationCommand";
import { CreateResourceCommand, } from "./commands/CreateResourceCommand";
import { CreateUserCommand } from "./commands/CreateUserCommand";
import { DeleteAccessControlRuleCommand, } from "./commands/DeleteAccessControlRuleCommand";
import { DeleteAliasCommand } from "./commands/DeleteAliasCommand";
import { DeleteAvailabilityConfigurationCommand, } from "./commands/DeleteAvailabilityConfigurationCommand";
import { DeleteEmailMonitoringConfigurationCommand, } from "./commands/DeleteEmailMonitoringConfigurationCommand";
import { DeleteGroupCommand } from "./commands/DeleteGroupCommand";
import { DeleteImpersonationRoleCommand, } from "./commands/DeleteImpersonationRoleCommand";
import { DeleteMailboxPermissionsCommand, } from "./commands/DeleteMailboxPermissionsCommand";
import { DeleteMobileDeviceAccessOverrideCommand, } from "./commands/DeleteMobileDeviceAccessOverrideCommand";
import { DeleteMobileDeviceAccessRuleCommand, } from "./commands/DeleteMobileDeviceAccessRuleCommand";
import { DeleteOrganizationCommand, } from "./commands/DeleteOrganizationCommand";
import { DeleteResourceCommand, } from "./commands/DeleteResourceCommand";
import { DeleteRetentionPolicyCommand, } from "./commands/DeleteRetentionPolicyCommand";
import { DeleteUserCommand } from "./commands/DeleteUserCommand";
import { DeregisterFromWorkMailCommand, } from "./commands/DeregisterFromWorkMailCommand";
import { DeregisterMailDomainCommand, } from "./commands/DeregisterMailDomainCommand";
import { DescribeEmailMonitoringConfigurationCommand, } from "./commands/DescribeEmailMonitoringConfigurationCommand";
import { DescribeEntityCommand, } from "./commands/DescribeEntityCommand";
import { DescribeGroupCommand, } from "./commands/DescribeGroupCommand";
import { DescribeInboundDmarcSettingsCommand, } from "./commands/DescribeInboundDmarcSettingsCommand";
import { DescribeMailboxExportJobCommand, } from "./commands/DescribeMailboxExportJobCommand";
import { DescribeOrganizationCommand, } from "./commands/DescribeOrganizationCommand";
import { DescribeResourceCommand, } from "./commands/DescribeResourceCommand";
import { DescribeUserCommand, } from "./commands/DescribeUserCommand";
import { DisassociateDelegateFromResourceCommand, } from "./commands/DisassociateDelegateFromResourceCommand";
import { DisassociateMemberFromGroupCommand, } from "./commands/DisassociateMemberFromGroupCommand";
import { GetAccessControlEffectCommand, } from "./commands/GetAccessControlEffectCommand";
import { GetDefaultRetentionPolicyCommand, } from "./commands/GetDefaultRetentionPolicyCommand";
import { GetImpersonationRoleCommand, } from "./commands/GetImpersonationRoleCommand";
import { GetImpersonationRoleEffectCommand, } from "./commands/GetImpersonationRoleEffectCommand";
import { GetMailboxDetailsCommand, } from "./commands/GetMailboxDetailsCommand";
import { GetMailDomainCommand, } from "./commands/GetMailDomainCommand";
import { GetMobileDeviceAccessEffectCommand, } from "./commands/GetMobileDeviceAccessEffectCommand";
import { GetMobileDeviceAccessOverrideCommand, } from "./commands/GetMobileDeviceAccessOverrideCommand";
import { ListAccessControlRulesCommand, } from "./commands/ListAccessControlRulesCommand";
import { ListAliasesCommand } from "./commands/ListAliasesCommand";
import { ListAvailabilityConfigurationsCommand, } from "./commands/ListAvailabilityConfigurationsCommand";
import { ListGroupMembersCommand, } from "./commands/ListGroupMembersCommand";
import { ListGroupsCommand } from "./commands/ListGroupsCommand";
import { ListGroupsForEntityCommand, } from "./commands/ListGroupsForEntityCommand";
import { ListImpersonationRolesCommand, } from "./commands/ListImpersonationRolesCommand";
import { ListMailboxExportJobsCommand, } from "./commands/ListMailboxExportJobsCommand";
import { ListMailboxPermissionsCommand, } from "./commands/ListMailboxPermissionsCommand";
import { ListMailDomainsCommand, } from "./commands/ListMailDomainsCommand";
import { ListMobileDeviceAccessOverridesCommand, } from "./commands/ListMobileDeviceAccessOverridesCommand";
import { ListMobileDeviceAccessRulesCommand, } from "./commands/ListMobileDeviceAccessRulesCommand";
import { ListOrganizationsCommand, } from "./commands/ListOrganizationsCommand";
import { ListResourceDelegatesCommand, } from "./commands/ListResourceDelegatesCommand";
import { ListResourcesCommand, } from "./commands/ListResourcesCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { ListUsersCommand } from "./commands/ListUsersCommand";
import { PutAccessControlRuleCommand, } from "./commands/PutAccessControlRuleCommand";
import { PutEmailMonitoringConfigurationCommand, } from "./commands/PutEmailMonitoringConfigurationCommand";
import { PutInboundDmarcSettingsCommand, } from "./commands/PutInboundDmarcSettingsCommand";
import { PutMailboxPermissionsCommand, } from "./commands/PutMailboxPermissionsCommand";
import { PutMobileDeviceAccessOverrideCommand, } from "./commands/PutMobileDeviceAccessOverrideCommand";
import { PutRetentionPolicyCommand, } from "./commands/PutRetentionPolicyCommand";
import { RegisterMailDomainCommand, } from "./commands/RegisterMailDomainCommand";
import { RegisterToWorkMailCommand, } from "./commands/RegisterToWorkMailCommand";
import { ResetPasswordCommand, } from "./commands/ResetPasswordCommand";
import { StartMailboxExportJobCommand, } from "./commands/StartMailboxExportJobCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { TestAvailabilityConfigurationCommand, } from "./commands/TestAvailabilityConfigurationCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { UpdateAvailabilityConfigurationCommand, } from "./commands/UpdateAvailabilityConfigurationCommand";
import { UpdateDefaultMailDomainCommand, } from "./commands/UpdateDefaultMailDomainCommand";
import { UpdateGroupCommand } from "./commands/UpdateGroupCommand";
import { UpdateImpersonationRoleCommand, } from "./commands/UpdateImpersonationRoleCommand";
import { UpdateMailboxQuotaCommand, } from "./commands/UpdateMailboxQuotaCommand";
import { UpdateMobileDeviceAccessRuleCommand, } from "./commands/UpdateMobileDeviceAccessRuleCommand";
import { UpdatePrimaryEmailAddressCommand, } from "./commands/UpdatePrimaryEmailAddressCommand";
import { UpdateResourceCommand, } from "./commands/UpdateResourceCommand";
import { UpdateUserCommand } from "./commands/UpdateUserCommand";
import { WorkMailClient } from "./WorkMailClient";
const commands = {
    AssociateDelegateToResourceCommand,
    AssociateMemberToGroupCommand,
    AssumeImpersonationRoleCommand,
    CancelMailboxExportJobCommand,
    CreateAliasCommand,
    CreateAvailabilityConfigurationCommand,
    CreateGroupCommand,
    CreateImpersonationRoleCommand,
    CreateMobileDeviceAccessRuleCommand,
    CreateOrganizationCommand,
    CreateResourceCommand,
    CreateUserCommand,
    DeleteAccessControlRuleCommand,
    DeleteAliasCommand,
    DeleteAvailabilityConfigurationCommand,
    DeleteEmailMonitoringConfigurationCommand,
    DeleteGroupCommand,
    DeleteImpersonationRoleCommand,
    DeleteMailboxPermissionsCommand,
    DeleteMobileDeviceAccessOverrideCommand,
    DeleteMobileDeviceAccessRuleCommand,
    DeleteOrganizationCommand,
    DeleteResourceCommand,
    DeleteRetentionPolicyCommand,
    DeleteUserCommand,
    DeregisterFromWorkMailCommand,
    DeregisterMailDomainCommand,
    DescribeEmailMonitoringConfigurationCommand,
    DescribeEntityCommand,
    DescribeGroupCommand,
    DescribeInboundDmarcSettingsCommand,
    DescribeMailboxExportJobCommand,
    DescribeOrganizationCommand,
    DescribeResourceCommand,
    DescribeUserCommand,
    DisassociateDelegateFromResourceCommand,
    DisassociateMemberFromGroupCommand,
    GetAccessControlEffectCommand,
    GetDefaultRetentionPolicyCommand,
    GetImpersonationRoleCommand,
    GetImpersonationRoleEffectCommand,
    GetMailboxDetailsCommand,
    GetMailDomainCommand,
    GetMobileDeviceAccessEffectCommand,
    GetMobileDeviceAccessOverrideCommand,
    ListAccessControlRulesCommand,
    ListAliasesCommand,
    ListAvailabilityConfigurationsCommand,
    ListGroupMembersCommand,
    ListGroupsCommand,
    ListGroupsForEntityCommand,
    ListImpersonationRolesCommand,
    ListMailboxExportJobsCommand,
    ListMailboxPermissionsCommand,
    ListMailDomainsCommand,
    ListMobileDeviceAccessOverridesCommand,
    ListMobileDeviceAccessRulesCommand,
    ListOrganizationsCommand,
    ListResourceDelegatesCommand,
    ListResourcesCommand,
    ListTagsForResourceCommand,
    ListUsersCommand,
    PutAccessControlRuleCommand,
    PutEmailMonitoringConfigurationCommand,
    PutInboundDmarcSettingsCommand,
    PutMailboxPermissionsCommand,
    PutMobileDeviceAccessOverrideCommand,
    PutRetentionPolicyCommand,
    RegisterMailDomainCommand,
    RegisterToWorkMailCommand,
    ResetPasswordCommand,
    StartMailboxExportJobCommand,
    TagResourceCommand,
    TestAvailabilityConfigurationCommand,
    UntagResourceCommand,
    UpdateAvailabilityConfigurationCommand,
    UpdateDefaultMailDomainCommand,
    UpdateGroupCommand,
    UpdateImpersonationRoleCommand,
    UpdateMailboxQuotaCommand,
    UpdateMobileDeviceAccessRuleCommand,
    UpdatePrimaryEmailAddressCommand,
    UpdateResourceCommand,
    UpdateUserCommand,
};
export class WorkMail extends WorkMailClient {
}
createAggregatedClient(commands, WorkMail);
