import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { UpdateAvailabilityConfigurationRequestFilterSensitiveLog, } from "../models/models_0";
import { de_UpdateAvailabilityConfigurationCommand, se_UpdateAvailabilityConfigurationCommand, } from "../protocols/Aws_json1_1";
export { $Command };
export class UpdateAvailabilityConfigurationCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("WorkMailService", "UpdateAvailabilityConfiguration", {})
    .n("WorkMailClient", "UpdateAvailabilityConfigurationCommand")
    .f(UpdateAvailabilityConfigurationRequestFilterSensitiveLog, void 0)
    .ser(se_UpdateAvailabilityConfigurationCommand)
    .de(de_UpdateAvailabilityConfigurationCommand)
    .build() {
}
